## GnomeDbProviderSpecEditor

GnomeDbProviderSpecEditor — Widget to display and edit connection data associated to a database provider

##

# Synopsis

    struct      GnomeDbProviderSpecEditor;
    struct      GnomeDbProviderSpecEditorClass;
    struct      GnomeDbProviderSpecEditorPrivate;
    GtkWidget*  gnome_db_provider_spec_editor_new
                                                (const gchar *provider);
    void        gnome_db_provider_spec_editor_set_provider
                                                (GnomeDbProviderSpecEditor *spec,
                                                 const gchar *provider);
    gboolean    gnome_db_provider_spec_editor_is_valid
                                                (GnomeDbProviderSpecEditor *spec);
    gchar*      gnome_db_provider_spec_editor_get_specs
                                                (GnomeDbProviderSpecEditor *spec);
    void        gnome_db_provider_spec_editor_set_specs
                                                (GnomeDbProviderSpecEditor *spec,
                                                 const gchar *specs_string);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbProviderSpecEditor

## Implemented Interfaces

GnomeDbProviderSpecEditor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "provider"             gchararray           : Read / Write

## Signal Prototypes

    "changed"   void        user_function      (GnomeDbProviderSpecEditor *dbproviderspeceditor,
                                                gpointer user_data);

## Description

## Details

### struct GnomeDbProviderSpecEditor

    struct GnomeDbProviderSpecEditor;

### struct GnomeDbProviderSpecEditorClass

    struct GnomeDbProviderSpecEditorClass {

    	GtkVBoxClass           parent_class;

    	/* signals */
    	void                (* changed) (GnomeDbProviderSpecEditor *spec);
    };

### struct GnomeDbProviderSpecEditorPrivate

    struct GnomeDbProviderSpecEditorPrivate;

### gnome_db_provider_spec_editor_new ()

    GtkWidget*  gnome_db_provider_spec_editor_new
                                                (const gchar *provider);

Creates a new GnomeDbProviderSpecEditor widget

`provider` : | the provider to be used
Returns : |

### gnome_db_provider_spec_editor_set_provider ()

    void        gnome_db_provider_spec_editor_set_provider
                                                (GnomeDbProviderSpecEditor *spec,
                                                 const gchar *provider);

Updates the displayed fields in `spec` to represent the required and possible arguments that a connection to a database through `provider` would require

`spec` : | a GnomeDbProviderSpecEditor widget
`provider` : | the provider to be used

### gnome_db_provider_spec_editor_is_valid ()

    gboolean    gnome_db_provider_spec_editor_is_valid
                                                (GnomeDbProviderSpecEditor *spec);

Tells if the current information displayed in `spec` respects the provider's specifications (about non NULL values for example)

`spec` : | a GnomeDbProviderSpecEditor widget
Returns : |

### gnome_db_provider_spec_editor_get_specs ()

    gchar*      gnome_db_provider_spec_editor_get_specs
                                                (GnomeDbProviderSpecEditor *spec);

Get the currently displayed provider's specific connection string

`spec` : | a GnomeDbProviderSpecEditor widget
Returns : | a new string, or `NULL` if no provider have been specified

### gnome_db_provider_spec_editor_set_specs ()

    void        gnome_db_provider_spec_editor_set_specs
                                                (GnomeDbProviderSpecEditor *spec,
                                                 const gchar *specs_string);

Sets the connection string to be displayed in the widget

`spec` : | a GnomeDbProviderSpecEditor widget
`specs_string` : |

## Properties

"`provider`" (gchararray : Read / Write) |

## Signals

### The "changed" signal

    void        user_function                  (GnomeDbProviderSpecEditor *dbproviderspeceditor,
                                                gpointer user_data);

`dbdsnspec` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.